﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">


    <Style TargetType="Button" x:Key="FlatButtonStyle">
        <Setter Property="Background" Value="#534F52"/>
        <Setter Property="Foreground" Value="#F0F1F3"/>
        <Setter Property="Width" Value="100"/>
        <Setter Property="Height" Value="30"/>
        <Setter Property="FontSize" Value="15" />
        
        <Setter Property="Button.Effect">
            <Setter.Value>
                <DropShadowEffect Color="Black" Direction="0" ShadowDepth="2" BlurRadius="8" Opacity="0.3" />
            </Setter.Value>
        </Setter>
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="Button">
                    <Border BorderThickness="0" Background="{TemplateBinding Background}" CornerRadius="4">
                        <ContentPresenter HorizontalAlignment="Center" VerticalAlignment="Center"/>
                    </Border>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
        <Style.Triggers>
            <!--Mouse hover-->
            <Trigger Property="IsMouseOver"  Value="True">
                <Setter Property="Cursor" Value="Hand" />
                <Setter Property="Foreground" Value="White"/>
            </Trigger>
            <!--Mouse click-->
            <Trigger Property="IsPressed"  Value="True">
                <Setter Property="Button.Effect" Value="{x:Null}" />
                <Setter Property="Foreground" Value="White"/>
            </Trigger>
        </Style.Triggers>
    </Style>



</ResourceDictionary>